
QGIS Application - Feature request #1826

Keyboard shortcut for moving the cursor

2009-07-31 06:28 AM - alobo -

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11886

Description

Keyboard shortcuts (i.e. Ctrl+ ->) for moving the cursor

with no mouse, adding a cross-hair would be handy.

We could have Ctrl+ -> for moving by steps of

n pixels (n being customizable) and

Ctrl+Shift+ -> for moving by small steps (even subpixel) for

precision placement.

History

#1 - 2011-10-12 02:08 AM - alobo -

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Priority changed from Low to Normal

This feature is implemented with the arrow.

Could be closed, but actually the jump is too large.

Perhaps an option for defining the size of the jump could be

added and/or having Ctrl-> for fine panning

Agus

#2 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
